# eirtube-stack-docker

This is the setup I use to run Eirtube and my Newleaf instance.

## Installation

1. Clone [EirTube](https://git.eir-nya.gay/eir/eirtube) and [my Newleaf instance](https://git.eir-nya.gay/eir/newleaf) to `eirtube` and `newleaf` respectively.

2. Make a folder `eirtube-binaries`. Here you'll need to place the latest `yt-dlp` binary as well as `ffmpeg` and `ffprobe` taken from the latest Jellyfin-ffmpeg build for optimization.

3. Get the latest version of `phantomjs` and extract it to `phantomjs` in this folder.

4. Edit the docker-compose file. Set up the configuration for the `gluetun` container. You'll need your own vpn username and password to enter. Add a custom timezone for where you live. If you don't want to use the nvidia dockerfile, replace `dockerfile: ./Dockerfile-eirtube-nvidia` with `dockerfile: ./Dockerfile-eirtube` and remove `runtime: nvidia`, and `deploy:` and everything inside it.

5. Use docker-compose to build and run the docker-compose file, using `docker compose build` and `docker compose up -d`.

## License

I know CloudTube and thus EirTube use the AGPL license. Some code from its Dockerfile is used here. Therefore, I used the same license. Both CloudTube and NewLeaf belong to [Cadence](https://cadence.moe/).
